import { BaseResourceWithErrorHandling } from "../../common";
import { APIOpenTargetGenotype, StoreOpenTargetGenotype } from "./interfaces";
export declare class OpenTargetGenotype extends BaseResourceWithErrorHandling {
    rsid: string;
    profileId: string;
    genotypes: string[];
    variantIds: string[];
    constructor(rsid: string, profileId: string, genotypes: string[], variantIds: string[]);
    static get resourceName(): string;
    static get serviceName(): string;
    serializeAPI(): APIOpenTargetGenotype;
    deserializeAPI(data: APIOpenTargetGenotype): void;
    serializeRedux(): StoreOpenTargetGenotype;
    static apiFactory(data: APIOpenTargetGenotype): OpenTargetGenotype;
    static reduxFactory(data: StoreOpenTargetGenotype): OpenTargetGenotype;
    static get(fileId: string, profileId: string, rsids: string[]): Promise<OpenTargetGenotype[]>;
}
